## prog.utili
Class Cerchio

    java.lang.Object
      prog.utili.Figura
          prog.utili.Cerchio

    public class Cerchio

extends Figura

Le sue istanze rappresentano cerchi.

Version:
  2.0
Author:
  Giovanni Pighizzini, Mauro Ferrari

Constructor Summary
`Cerchio(double r)` Costruisce un oggetto che rappresenta un cerchio di raggio uguale a quello fornito come argomento.

Method Summary
`boolean` `equals(Cerchio altro)` Confronta il cerchio rappresentato dall'oggetto che esegue il metodo con il cerchio di cui viene fornito il riferimento tramite il parametro, restituendo `true` se sono uguali, `false` altrimenti.
`boolean` `equals(java.lang.Object o)` Confronta il cerchio rappresentato dall'oggetto che esegue il metodo, con l'oggetto di cui viene fornito il riferimento tramite il parametro, restituendo `true` se sono uguali, `false` altrimenti.
`double` `getArea()` Restituisce l'area del cerchio rappresentato dall'oggetto che esegue il metodo.
`double` `getCirconferenza()` Restituisce la lunghezza della circonferenza del cerchio rappresentato dall'oggetto che esegue il metodo.
`double` `getPerimetro()` Restituisce il perimetro, cioč la lunghezza della circonferenza, del cerchio rappresentato dall'oggetto che esegue il metodo.
`double` `getRaggio()` Restituisce il raggio del cerchio rappresentato dall'oggetto che esegue il metodo.
`java.lang.String` `toString()` Restituisce una stringa che descrive il cerchio rappresentato dall'oggetto che esegue il metodo.

Methods inherited from class prog.utili.Figura
`haAreaMaggiore, haPerimetroMaggiore`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Cerchio

    public Cerchio(double r)

  Costruisce un oggetto che rappresenta un cerchio di raggio uguale a quello fornito come argomento.

  Parameters:
    `r` - il raggio del cerchio.

Method Detail

### getArea

    public double getArea()

  Restituisce l'area del cerchio rappresentato dall'oggetto che esegue il metodo.

  Specified by:
    `getArea` in class `Figura`
  Returns:
    l'area del cerchio.

### getPerimetro

    public double getPerimetro()

  Restituisce il perimetro, cioč la lunghezza della circonferenza, del cerchio rappresentato dall'oggetto che esegue il metodo.

  Specified by:
    `getPerimetro` in class `Figura`
  Returns:
    il perimetro del cerchio.

### getCirconferenza

    public double getCirconferenza()

  Restituisce la lunghezza della circonferenza del cerchio rappresentato dall'oggetto che esegue il metodo.

  Returns:
    la lunghezza della circonferenza del cerchio.

### getRaggio

    public double getRaggio()

  Restituisce il raggio del cerchio rappresentato dall'oggetto che esegue il metodo.

  Returns:
    il raggio del cerchio.

### toString

    public java.lang.String toString()

  Restituisce una stringa che descrive il cerchio rappresentato dall'oggetto che esegue il metodo.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    la stringa che descrive il cerchio.

### equals

    public boolean equals(Cerchio altro)

  Confronta il cerchio rappresentato dall'oggetto che esegue il metodo con il cerchio di cui viene fornito il riferimento tramite il parametro, restituendo `true` se sono uguali, `false` altrimenti.

  Returns:
    `true` se e solo se il cerchio specificato come argomento č uguale a quello che esegue il metodo.

### equals

    public boolean equals(java.lang.Object o)

  Confronta il cerchio rappresentato dall'oggetto che esegue il metodo, con l'oggetto di cui viene fornito il riferimento tramite il parametro, restituendo `true` se sono uguali, `false` altrimenti.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    `true` se e solo se l'oggetto specificato come argomento č uguale a quello che esegue il metodo.